Subject: Re: bug#35852: Disk device disappears before installer can mount it

From: Ludovic Courtès <[email-masked]>
Date: Sat, 25 May 2019 19:28:47 +0200

Hello Graham,

Graham Lee <[email-masked]> skribis:

> To recap, I’m choosing the guided partition scheme, with everything in a single partition. The installer proposes a reasonable scheme: it keeps my EFI partition, then a big e4fs, then a Linux swap partition.
> I accept that, and go through connecting to a network, setting root password, adding a user, and choosing desktop and daemon packages. Then the next error.
>
>> In procedure mount: mount “/dev/sda1” on “/mnt/boot/efi”: No such device
>
> Indeed if I press OK and rerun to the installer, then the next time it gets to the partition page it won’t see the SSD. It doesn’t get detected again until a reboot.
>
> The SSD is Samsung SSD PM871 mSATA 256GB

So IIUC, the SSD is initially detected correctly, which allows you to
partition it, but later on /dev/sda1 “disappears”, right?

Could it be that “/dev/sda1” is actually the wrong device name?  What
does ‘mount’ and ‘fdisk -l /dev/sda’ show, once you’ve got the error
message?

Thanks,
Ludo’.